## kradio5-5.0.0-beta1.tar.bz2

=== CMakeLists.txt ===
project(kradio5 CXX)

cmake_minimum_required(VERSION 3.2 FATAL_ERROR)
cmake_policy(SET CMP0063 NEW)
cmake_policy(SET CMP0071 NEW)
cmake_policy(SET CMP0054 NEW)

ENABLE_LANGUAGE(C CXX)

# Locate extra-cmake-modules version 0.0.11 and make it a required package
find_package(ECM 5.10.0 REQUIRED NO_MODULE)

# Set value of CMAKE_MODULE_PATH variable where cmake will search for modules
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

# include KF5 directories
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMInstallIcons)

include (FindPkgConfig)
include (FindBoost)

list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

SET(KRADIO_VERSION "5.0.0-beta1")

MESSAGE(STATUS "Compiling KRadio5-${KRADIO_VERSION}")



########################################################################
#       Check if libboost is available                                 #
########################################################################

find_package( Boost 1.55.0 REQUIRED)

########################################################################
#       KDE/QT Libs                                                    #
########################################################################

# Locate Qt5, make it required package and use QtWidgets and QtCore modules
find_package(Qt5 REQUIRED COMPONENTS Widgets Core Multimedia )

# Locate KF5, make it required package 
find_package(KF5 REQUIRED COMPONENTS  CoreAddons XmlGui I18n KIO WindowSystem WidgetsAddons KDELibs4Support )


########################################################################

find_package(Gettext)
if(NOT GETTEXT_MSGFMT_EXECUTABLE)
    message(STATUS "msgfmt not found. Translations will *not* be installed")
endif()
include(MacroProcessPoFiles)

########################################################################

ADD_DEFINITIONS (
    -DKRADIO_VERSION="${KRADIO_VERSION}"
    -DQT_STRICT_ITERATORS
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_USE_QSTRINGBUILDER
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
    -Wall
    -Wextra    
)

option(WITH_KRADIO_FIXMES "Enable FIXME warnings" OFF)
IF(WITH_KRADIO_FIXMES)
    ADD_DEFINITIONS( -DKRADIO_ENABLE_FIXMES )
ENDIF(WITH_KRADIO_FIXMES)

option(WITH_KRADIO_PROFILERS "Enable the runtime profilers" OFF)
if(WITH_KRADIO_PROFILERS)
    add_definitions(-DKRADIO_ENABLE_PROFILERS)
endif()

INCLUDE_DIRECTORIES(
    ${Boost_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations
)

SET(INSTALL_TARGETS_DEFAULT_ARGS LIBRARY DESTINATION "${LIB_INSTALL_DIR}/kradio5/plugins")





ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(presets)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(convert-presets)

########################################################################
#     The lines below only affect the executable, no plugins!          #
########################################################################

file(GLOB kradio_radiostation_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations/*.cpp
)

file(GLOB kradio_interfaces_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*_interfaces.cpp
)

file(GLOB kradio_main_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp
)


file(GLOB kradio5_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations/*.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*.ui
)

ki18n_wrap_ui(kradio_main_sources
    ${kradio5_UIs}
)

add_executable(kradio5
    ${kradio_interfaces_sources}
    ${kradio_radiostation_sources}
    ${kradio_main_sources}
)

SET_TARGET_PROPERTIES(kradio5
    PROPERTIES
    LINK_FLAGS    " -Wl,--export-dynamic "
)

TARGET_LINK_LIBRARIES(kradio5
    Qt5::Core
    Qt5::Widgets
    Qt5::Multimedia
    KF5::XmlGui
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::KIOCore
    KF5::WidgetsAddons
    KF5::I18n
    KF5::WindowSystem
    KF5::KDELibs4Support
)

INSTALL(TARGETS kradio5)

SET(documentation_files
    README
    README.PVR
    README.your-help-is-wanted
    ChangeLog
    AUTHORS
    COPYING
    FAQ
)

INSTALL(
	FILES       ${documentation_files}
    DESTINATION ${SHARE_INSTALL_PREFIX}/doc/kradio5/
)

INSTALL(
    FILES       kradio5.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)


feature_summary(WHAT ALL)

=== convert-presets/CMakeLists.txt ===
# Locate extra-cmake-modules version 0.0.11 and make it a required package
find_package(ECM 5.10.0 REQUIRED NO_MODULE)

########################################################################
#       KDE/QT Libs                                                    #
########################################################################

# Locate Qt5, make it required package and use QtWidgets and QtCore modules
find_package(Qt5 REQUIRED COMPONENTS Core )

# Locate KF5, make it required package and use KF5KDELibs4Support and KF5CoreAddons modules
find_package(KF5 REQUIRED COMPONENTS  CoreAddons I18n)


########################################################################


add_executable(kradio5-convert-presets
    convert-presets.cpp
)

TARGET_LINK_LIBRARIES(kradio5-convert-presets
    Qt5::Core
    KF5::CoreAddons
    KF5::I18n
)

INSTALL(TARGETS kradio5-convert-presets ${INSTALL_TARGETS_DEFAULT_ARGS})

=== icons/CMakeLists.txt ===
file(GLOB kradio5_icons [0-9]*.png [0-9]*.svg)

ecm_install_icons(ICONS ${kradio5_icons} DESTINATION ${ICON_INSTALL_DIR}  )

=== plugins/CMakeLists.txt ===
project(kradio5plugins)

find_package(PkgConfig)

# Locate extra-cmake-modules version 0.0.11 and make it a required package
find_package(ECM 5.10.0 REQUIRED NO_MODULE)

include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

########################################################################
#       KDE/QT Libs                                                    #
########################################################################

# Locate Qt5, make it required package and use QtWidgets and QtCore modules
find_package(Qt5 REQUIRED COMPONENTS Widgets Core Multimedia )

# Locate KF5, make it required package and use KF5KDELibs4Support and KF5CoreAddons modules
find_package(KF5 REQUIRED COMPONENTS  CoreAddons XmlGui I18n KIO)

###############################################################################

option(WITH_ALSA "Compile with alsa support" ON)

IF(WITH_ALSA)
    find_package(ALSA)

    IF(NOT ALSA_FOUND)

        SET(WITH_ALSA OFF
            CACHE BOOL "alsa files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: alsa files could not be found on this system. Compiling without alsa support")

    ENDIF(NOT ALSA_FOUND)
ENDIF(WITH_ALSA)


IF (WITH_ALSA)
    message(STATUS "   Compiling with ALSA support")
    message(STATUS "       ALSA_INCLUDE_DIRS = ${ALSA_INCLUDE_DIRS}")
    message(STATUS "       ALSA_LIBRARIES    = ${ALSA_LIBRARIES}")
    message(STATUS "   Compiling with alsa support")
ELSE(WITH_ALSA)
    message(STATUS "   Compiling without ALSA support")
ENDIF(WITH_ALSA)



add_feature_info("Alsa Support" WITH_ALSA "Support for ALSA Sound Devices" "http://www.alsa-project.org")

###############################################################################


option(WITH_LIRC "Compile with LIRC support" ON)

IF(WITH_LIRC)
    find_package(LircClient)

    IF(NOT LircClient_FOUND)

        SET(WITH_LIRC OFF
            CACHE BOOL "LIRC files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: LIRC files could not be found on this system. Compiling without LIRC support")

    ENDIF(NOT LircClient_FOUND)
ENDIF(WITH_LIRC)


IF (WITH_LIRC)
    message(STATUS "   Compiling with LIRC support")
ELSE(WITH_LIRC)
    message(STATUS "   Compiling without LIRC support")
ENDIF(WITH_LIRC)

add_feature_info("LIRC support" WITH_LIRC "Support for remote controls via LIRC interfaces" "http://www.lirc.org")

###############################################################################




option(WITH_FFMPEG "Compile with Internet Radio Stations support (libavformat/libffmpeg, libmms)" ON)

IF(WITH_FFMPEG)
    set(ffmpeg_components AVFORMAT AVCODEC)
    find_package(FFmpeg COMPONENTS ${ffmpeg_components} SWRESAMPLE)
    IF(NOT FFMPEG_FOUND)
        unset(FFMPEG_LIBRARIES CACHE)
        unset(FFMPEG_INCLUDE_DIRS CACHE)
        unset(FFMPEG_DEFINITIONS CACHE)
        find_package(FFmpeg COMPONENTS ${ffmpeg_components} AVRESAMPLE)
    ENDIF(NOT FFMPEG_FOUND)

    IF(AVFORMAT_VERSION VERSION_LESS 58.12.100)
       ERROR(FATAL_ERROR "libavformat ${AVFORMAT_FOUND} found, 58.12.100 required")
    ENDIF(AVFORMAT_VERSION VERSION_LESS 58.12.100)
    IF(AVCODEC_VERSION VERSION_LESS 58.18.100)
       ERROR(FATAL_ERROR "libavcodec ${AVCODEC_VERSION} found, 58.18.100 required")
    ENDIF(AVCODEC_VERSION VERSION_LESS 58.18.100)


    set(LIBMMS_MIN_VERSION 0.5)
    find_package(Libmms ${LIBMMS_MIN_VERSION})

    IF ( NOT Libmms_FOUND OR NOT FFMPEG_FOUND )
        SET(WITH_FFMPEG OFF
            CACHE BOOL "libffmpeg and/or libmms files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: libffmpeg and/or libmms files could not be found on this system. Compiling without Internet Radio Stations support")
    ENDIF( NOT Libmms_FOUND OR NOT FFMPEG_FOUND )

ENDIF(WITH_FFMPEG)


IF (WITH_FFMPEG)
    message(STATUS "   Compiling with Internet Radio Stations (libavformat/libffmpeg, libmms) support")
    message(STATUS "       FFMPEG_INCLUDE_DIRS = ${FFMPEG_INCLUDE_DIRS}")
    message(STATUS "       FFMPEG_LIBRARIES    = ${FFMPEG_LIBRARIES}")
    message(STATUS "       Libmms_INCLUDE_DIRS = ${Libmms_INCLUDE_DIRS}")
    message(STATUS "       Libmms_LIBRARIES    = ${Libmms_LIBRARIES}")
ELSE(WITH_FFMPEG)
    message(STATUS "   Compiling without Internet Radio Stations (libffmpeg, libmms) support")
ENDIF(WITH_FFMPEG)

add_feature_info("FFMPEG support"          FFMPEG_FOUND      "Support for internet radio by libffmpeg" "http://ffmpeg.org" FALSE "0.9.0")
add_feature_info("MMS protocol support"    LIBMMS_FOUND      "Support internet radio protocol mms:// by libmms"  "https://launchpad.net/libmms" FALSE "${LIBMMS_MIN_VERSION}")
add_feature_info("Internet radio support"  WITH_FFMPEG       "Internet radio requires both libffmpeg and libmms" "")

###############################################################################


feature_summary(WHAT ALL)

ADD_SUBDIRECTORY(radio)
IF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    ADD_SUBDIRECTORY(v4lradio)
ENDIF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
IF(WITH_ALSA)
    ADD_SUBDIRECTORY(alsa-sound)
ENDIF(WITH_ALSA)
ADD_SUBDIRECTORY(soundserver)
ADD_SUBDIRECTORY(gui-docking-menu)
ADD_SUBDIRECTORY(timecontrol)
ADD_SUBDIRECTORY(timeshifter)
ADD_SUBDIRECTORY(streaming)
ADD_SUBDIRECTORY(recording)
ADD_SUBDIRECTORY(gui-quickbar)
ADD_SUBDIRECTORY(gui-error-log)
IF(WITH_LIRC)
    ADD_SUBDIRECTORY(lirc)
ENDIF(WITH_LIRC)
ADD_SUBDIRECTORY(gui-standard-display)
ADD_SUBDIRECTORY(shortcuts)
IF(WITH_FFMPEG)
    ADD_SUBDIRECTORY(internetradio)
ENDIF(WITH_FFMPEG)
ADD_SUBDIRECTORY(dbus)
ADD_SUBDIRECTORY(mpris)

=== presets/CMakeLists.txt ===
MACRO(SCAN_DIRS topdir basedir outlistvar)
    FILE(GLOB dirs RELATIVE "${topdir}" "${basedir}/*")
    FOREACH(d IN LISTS dirs)
        IF(IS_DIRECTORY "${topdir}/${d}")
            LIST(APPEND ${outlistvar} "${d}")
            SCAN_DIRS("${topdir}" "${d}" ${outlistvar})
        ENDIF(IS_DIRECTORY "${topdir}/${d}")
    ENDFOREACH(d IN LISTS dirs)
ENDMACRO(SCAN_DIRS top basedir outlist)

SET(presets_dirs)
SCAN_DIRS("${CMAKE_CURRENT_SOURCE_DIR}" "." presets_dirs)

FOREACH(dir IN LISTS presets_dirs)
    FILE(GLOB presets ${dir}/*.krp)
    INSTALL(FILES ${presets} DESTINATION ${DATA_INSTALL_DIR}/kradio5/presets/${dir})
ENDFOREACH(dir IN LISTS presets_dirs)

=== plugins/alsa-sound/CMakeLists.txt ===
project(kradio5_plugin_alsa_sound)

# Locate extra-cmake-modules version 0.0.11 and make it a required package
find_package(ECM 5.10.0 REQUIRED NO_MODULE)

include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

########################################################################
#       KDE/QT Libs                                                    #
########################################################################

# Locate Qt5, make it required package and use QtWidgets and QtCore modules
find_package(Qt5 REQUIRED COMPONENTS Widgets Core Multimedia )

# Locate KF5, make it required package and use KF5KDELibs4Support and KF5CoreAddons modules
find_package(KF5 REQUIRED COMPONENTS  CoreAddons XmlGui I18n KIO)

###############################################################################


add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" -DTRANSLATION_DOMAIN="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

INCLUDE_DIRECTORIES(
    ${ALSA_INCLUDE_DIRS}
)



FILE(GLOB kradio_plugin_alsa_sound_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_alsa_sound_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

ki18n_wrap_ui(kradio_plugin_alsa_sound_sources
    ${kradio_plugin_alsa_sound_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


add_library(kradio5_plugin_alsa_sound MODULE
    ${kradio_plugin_alsa_sound_sources}
)

TARGET_LINK_LIBRARIES(kradio5_plugin_alsa_sound
    Qt5::Core
    Qt5::Widgets
    Qt5::Multimedia
    KF5::XmlGui
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::I18n
    ${ALSA_LIBRARIES}
)

SET(CMAKE_INSTALL_RPATH                              "${LIB_INSTALL_DIR}/kradio5/plugins")
SET(INSTALL_TARGETS_DEFAULT_ARGS LIBRARY DESTINATION "${CMAKE_INSTALL_RPATH}")
INSTALL(TARGETS kradio5_plugin_alsa_sound ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/dbus/CMakeLists.txt ===
project(kradio5_plugin_dbus)

# Locate extra-cmake-modules version 0.0.11 and make it a required package
find_package(ECM 5.10.0 REQUIRED NO_MODULE)

include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

########################################################################
#       KDE/QT Libs                                                    #
########################################################################

# Locate Qt5, make it required package and use QtWidgets and QtCore modules
find_package(Qt5 REQUIRED COMPONENTS Widgets Core Multimedia )

# Locate KF5, make it required package and use KF5KDELibs4Support and KF5CoreAddons modules
find_package(KF5 REQUIRED COMPONENTS  CoreAddons XmlGui I18n KIO)

###############################################################################

add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" -DTRANSLATION_DOMAIN="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_dbus_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_dbus_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

ki18n_wrap_ui(kradio_plugin_dbus_sources
    ${kradio_plugin_dbus_UIs}
)

QT5_ADD_DBUS_ADAPTOR(kradio_plugin_dbus_sources net.sourceforge.kradio.xml
                     dbussupport.h DBusSupport)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


add_library(kradio5_plugin_dbus MODULE
    ${kradio_plugin_dbus_sources}
)

TARGET_LINK_LIBRARIES(kradio5_plugin_dbus
    Qt5::Core
    Qt5::Widgets
    Qt5::Multimedia
    KF5::XmlGui
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::I18n
)

SET(CMAKE_INSTALL_RPATH                              "${LIB_INSTALL_DIR}/kradio5/plugins")
SET(INSTALL_TARGETS_DEFAULT_ARGS LIBRARY DESTINATION "${CMAKE_INSTALL_RPATH}")
INSTALL(TARGETS kradio5_plugin_dbus ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-docking-menu/CMakeLists.txt ===
project(kradio5_plugin_gui_docking_menu)

# Locate extra-cmake-modules version 0.0.11 and make it a required package
find_package(ECM 5.10.0 REQUIRED NO_MODULE)

include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

########################################################################
#       KDE/QT Libs                                                    #
########################################################################

# Locate Qt5, make it required package and use QtWidgets and QtCore modules
find_package(Qt5 REQUIRED COMPONENTS Widgets Core Multimedia )

# Locate KF5, make it required package and use KF5KDELibs4Support and KF5CoreAddons modules
find_package(KF5 REQUIRED COMPONENTS  CoreAddons XmlGui I18n KIO)

###############################################################################

add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" -DTRANSLATION_DOMAIN="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)


FILE(GLOB kradio_plugin_gui_docking_menu_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_docking_menu_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

ki18n_wrap_ui(kradio_plugin_gui_docking_menu_sources
    ${kradio_plugin_gui_docking_menu_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


add_library(kradio5_plugin_gui_docking_menu MODULE
    ${kradio_plugin_gui_docking_menu_sources}
)

TARGET_LINK_LIBRARIES(kradio5_plugin_gui_docking_menu
    Qt5::Core
    Qt5::Widgets
    Qt5::Multimedia
    KF5::XmlGui
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::I18n
)

SET(CMAKE_INSTALL_RPATH                              "${LIB_INSTALL_DIR}/kradio5/plugins")
SET(INSTALL_TARGETS_DEFAULT_ARGS LIBRARY DESTINATION "${CMAKE_INSTALL_RPATH}")
INSTALL(TARGETS kradio5_plugin_gui_docking_menu ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-error-log/CMakeLists.txt ===
project(kradio5_plugin_gui_error_log)

# Locate extra-cmake-modules version 0.0.11 and make it a required package
find_package(ECM 5.10.0 REQUIRED NO_MODULE)

include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

########################################################################
#       KDE/QT Libs                                                    #
########################################################################

# Locate Qt5, make it required package and use QtWidgets and QtCore modules
find_package(Qt5 REQUIRED COMPONENTS Widgets Core Multimedia )

# Locate KF5, make it required package and use KF5KDELibs4Support and KF5CoreAddons modules
find_package(KF5 REQUIRED COMPONENTS  CoreAddons XmlGui I18n KIO WidgetsAddons TextWidgets)

###############################################################################

add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" -DTRANSLATION_DOMAIN="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)


FILE(GLOB kradio_plugin_gui_error_log_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_error_log_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

ki18n_wrap_ui(kradio_plugin_gui_error_log_sources
    ${kradio_plugin_gui_error_log_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


add_library(kradio5_plugin_gui_error_log MODULE
    ${kradio_plugin_gui_error_log_sources}
)

TARGET_LINK_LIBRARIES(kradio5_plugin_gui_error_log
    Qt5::Core
    Qt5::Widgets
    Qt5::Multimedia
    KF5::XmlGui
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::WidgetsAddons
    KF5::I18n
    KF5::TextWidgets
)

SET(CMAKE_INSTALL_RPATH                              "${LIB_INSTALL_DIR}/kradio5/plugins")
SET(INSTALL_TARGETS_DEFAULT_ARGS LIBRARY DESTINATION "${CMAKE_INSTALL_RPATH}")
INSTALL(TARGETS kradio5_plugin_gui_error_log ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-quickbar/CMakeLists.txt ===
project(kradio5_plugin_gui_quickbar)

# Locate extra-cmake-modules version 0.0.11 and make it a required package
find_package(ECM 5.10.0 REQUIRED NO_MODULE)

include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

########################################################################
#       KDE/QT Libs                                                    #
########################################################################

# Locate Qt5, make it required package and use QtWidgets and QtCore modules
find_package(Qt5 REQUIRED COMPONENTS Widgets Core Multimedia )

# Locate KF5, make it required package and use KF5KDELibs4Support and KF5CoreAddons modules
find_package(KF5 REQUIRED COMPONENTS  CoreAddons XmlGui I18n KIO)

###############################################################################

add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" -DTRANSLATION_DOMAIN="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_gui_quickbar_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_quickbar_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

ki18n_wrap_ui(kradio_plugin_gui_quickbar_sources
    ${kradio_plugin_gui_quickbar_UIs}
)



string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


add_library(kradio5_plugin_gui_quickbar MODULE
    ${kradio_plugin_gui_quickbar_sources}
)

TARGET_LINK_LIBRARIES(kradio5_plugin_gui_quickbar
    Qt5::Core
    Qt5::Widgets
    Qt5::Multimedia
    KF5::XmlGui
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::I18n
)

SET(CMAKE_INSTALL_RPATH                              "${LIB_INSTALL_DIR}/kradio5/plugins")
SET(INSTALL_TARGETS_DEFAULT_ARGS LIBRARY DESTINATION "${CMAKE_INSTALL_RPATH}")
INSTALL(TARGETS kradio5_plugin_gui_quickbar ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-standard-display/CMakeLists.txt ===
project(kradio5_plugin_gui_standard_display)

# Locate extra-cmake-modules version 0.0.11 and make it a required package
find_package(ECM 5.10.0 REQUIRED NO_MODULE)

include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

########################################################################
#       KDE/QT Libs                                                    #
########################################################################

# Locate Qt5, make it required package and use QtWidgets and QtCore modules
find_package(Qt5 REQUIRED COMPONENTS Widgets Core Multimedia )

# Locate KF5, make it required package and use KF5KDELibs4Support and KF5CoreAddons modules
find_package(KF5 REQUIRED COMPONENTS  CoreAddons XmlGui I18n KIO)

###############################################################################

add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" -DTRANSLATION_DOMAIN="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_gui_standard_display_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_standard_display_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

ki18n_wrap_ui(kradio_plugin_gui_standard_display_sources
    ${kradio_plugin_gui_standard_display_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


add_library(kradio5_plugin_gui_standard_display MODULE
    ${kradio_plugin_gui_standard_display_sources}
)

TARGET_LINK_LIBRARIES(kradio5_plugin_gui_standard_display
    Qt5::Core
    Qt5::Widgets
    Qt5::Multimedia
    KF5::XmlGui
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::I18n
    KF5::WindowSystem
)

SET(CMAKE_INSTALL_RPATH                              "${LIB_INSTALL_DIR}/kradio5/plugins")
SET(INSTALL_TARGETS_DEFAULT_ARGS LIBRARY DESTINATION "${CMAKE_INSTALL_RPATH}")
INSTALL(TARGETS kradio5_plugin_gui_standard_display ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/internetradio/CMakeLists.txt ===
project(kradio5_plugin_internetradio)

# Locate extra-cmake-modules version 0.0.11 and make it a required package
find_package(ECM 5.10.0 REQUIRED NO_MODULE)

include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

########################################################################
#       KDE/QT Libs                                                    #
########################################################################

# Locate Qt5, make it required package and use QtWidgets and QtCore modules
find_package(Qt5 REQUIRED COMPONENTS Widgets Core Multimedia )

# Locate KF5, make it required package and use KF5KDELibs4Support and KF5CoreAddons modules
find_package(KF5 REQUIRED COMPONENTS  CoreAddons XmlGui I18n KIO)

###############################################################################

add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" -DTRANSLATION_DOMAIN="${PROJECT_NAME}" )

#add_definitions( -DINET_RADIO_STREAM_HANDLING_BY_DECODER_THREAD )


#ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

add_definitions( -D__STDC_CONSTANT_MACROS )

IF(SWRESAMPLE_FOUND)
    add_definitions( -DHAVE_LIBSWRESAMPLE )
ENDIF(SWRESAMPLE_FOUND)

IF(AVRESAMPLE_FOUND)
    add_definitions( -DHAVE_LIBAVRESAMPLE )
ENDIF(AVRESAMPLE_FOUND)

INCLUDE_DIRECTORIES(
    ${FFMPEG_INCLUDE_DIRS}
    ${Libmms_INCLUDE_DIRS}
)

FILE(GLOB kradio_plugin_internetradio_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_internetradio_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

ki18n_wrap_ui(kradio_plugin_internetradio_sources
    ${kradio_plugin_internetradio_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


add_library(kradio5_plugin_internetradio MODULE
    ${kradio_plugin_internetradio_sources}
)

TARGET_LINK_LIBRARIES(kradio5_plugin_internetradio
    Qt5::Core
    Qt5::Widgets
    Qt5::Multimedia
    KF5::XmlGui
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::I18n
    ${FFMPEG_LIBRARIES}
    ${LIBSWRESAMPLE_LIBRARIES}
    ${Libmms_LIBRARIES}
)

SET(CMAKE_INSTALL_RPATH                              "${LIB_INSTALL_DIR}/kradio5/plugins")
SET(INSTALL_TARGETS_DEFAULT_ARGS LIBRARY DESTINATION "${CMAKE_INSTALL_RPATH}")
INSTALL(TARGETS kradio5_plugin_internetradio ${INSTALL_TARGETS_DEFAULT_ARGS})

=== distrib/debian/changelog ===
kradio5 (5.0.0-beta1-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Wed, 05 Feb 2020 20:56:53 +0100
 

kradio5 (5.0.0-1) unstable; urgency=low

  * port to kf5

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 02 Feb 2020 20:00:00 +0100
 

kradio4 (4.0.8-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 27 Sep 2014 23:51:08 +0200
 

kradio4 (4.0.7-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 26 Jan 2013 18:34:23 +0100
 

kradio4 (4.0.6-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Wed, 15 Aug 2012 12:38:50 +0200
 

kradio4 (4.0.5-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 05 Aug 2012 14:57:48 +0200
 

kradio4 (4.0.4-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 18 Feb 2012 23:34:53 +0100
 

kradio4 (4.0.3-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 12 Feb 2012 21:16:07 +0100
 

kradio4 (4.0.2) unstable; urgency=low

  * new packages based on recent upstream

kradio4 (4.0.2-rc1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Fri, 07 Jan 2011 01:14:31 +0100
 

kradio4 (4.0.1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 02 Oct 2010 18:33:04 +0200
 

kradio4 (4.0.1-svn-r1026) unstable; urgency=low

  * polished debian packaging files based on parts of the ubuntu packaging files

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 29 Sep 2010 22:37:13 +0200
 

kradio4 (4.0.1-rc2) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 27 Sep 2010 02:37:13 +0200
 

kradio4 (4.0.1-rc1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 16 Sep 2010 23:13:36 +0200
 

kradio4 (4.0.0) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 01 Jun 2009 23:00:05 +0200
 

kradio4 (snapshots_2009_05_31_r896) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 31 May 2009 22:28:56 +0200
 

kradio4 (4.0.0_rc4) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 26 Apr 2009 14:53:27 +0200
 

kradio4 (4.0.0-rc3) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 18 Apr 2009 15:25:53 +0200
 

kradio4 (4.0.0-rc2) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Fri, 10 Apr 2009 17:51:41 +0200
 

kradio4 (4-0-0-rc1) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 29 Mar 2009 14:30:02 +0200
 

kradio4 (snapshot-2009-03-28-r789) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 28 Mar 2009 23:56:44 +0100
 

kradio4 (snapshot-2009-03-22-r778) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 22 Mar 2009 15:45:54 +0100
 

kradio4 (snapshot-2009-03-18-r775) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Wed, 18 Mar 2009 00:00:02 +0100
 

kradio4 (snapshot-2009-03-18-r772) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 23:53:23 +0100
 

kradio4 (snapshot-2009-03-17-r766) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 02:09:49 +0100
 

kradio4 (snapshot-2009-03-17-r763) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 01:37:29 +0100
 

kradio4 (RELEASE-r762) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 01:35:23 +0100
 

kradio4 (4-0-0-beta2) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 15 Mar 2009 00:28:24 +0100
 

kradio4 (snapshot-2009-03-08-r745) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 08 Mar 2009 22:02:48 +0100
 

kradio4 (snapshot-2009-03-07-r723) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 07 Mar 2009 00:37:07 +0100
 

kradio4 (snapshot-2009-03-07-r720) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 07 Mar 2009 00:10:27 +0100
 

kradio4 (snapshot-2009-03-05-r701) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 05 Mar 2009 01:10:01 +0100
 

kradio4 (snapshot-2006-03-05-r699) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 05 Mar 2009 00:59:58 +0100
 

kradio4 (snapshot-2009-03-01-r694) unstable; urgency=low

  * new packages based on recent upstream



=== distrib/PKGBUILD ===
# Contributor: Michael Kaiser <kallewirsch@hotmail.de>
pkgname=kradio5-svn
pkgver=003
pkgrel=1
pkgdesc="KRadio is a comfortable KDE radio application"
arch=(i686 x86_64)
url="http://kradio.sourceforge.net"
license=('GPL')
depends=('libsndfile' 'kdelibs>=4.2.0' 'lame' 'ffmpeg' 'libmms>=0.5' 'libogg' 'libvorbis' 'lirc>=0.8.0'  'dbus' 'alsa-lib' )
makedepends=('svn' 'cmake>=2.6.2' 'boost')
source=()
md5sums=()

_svntrunk='https://kradio.svn.sourceforge.net/svnroot/kradio/trunk'
_svnmod='kradio'

build() {
cd "${srcdir}"

svn co $_svntrunk $_svnmod

msg "SVN checkout done or server timeout"
msg "Starting make..."

cp -r $_svnmod $_svnmod-build
cd $_svnmod-build

cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=RELEASE

make VERBOSE=1 || return 1
make DESTDIR="${pkgdir}" install || return 1

rm -rf ${srcdir}/$_svnmod-build
}

=== distrib/debian/control ===
Source: kradio5
Section: sound
Priority: optional
Maintainer: Ernst Martin Witte <emw@users.sourceforge.net>
Build-Depends: debhelper (>> 7.0.0), pkg-kde-tools (>= 0.5),  
 liblircclient-dev (>> 0.8.0), libsndfile1-dev(>= 1.0.4),
 libasound2-dev, libavformat-dev (>= 4.0.0), libavcodec-dev (>= 4.0.0), libglib2.0-dev, libmms-dev (>= 0.6), cdbs (>= 0.4.51),
 cmake (>= 3.0), libmp3lame-dev (>= 3.98), libogg-dev (>= 1.1.0), libvorbis-dev (>= 1.1.0),
 libdbus-1-dev, libboost-dev (>= 1.20), gettext, libswresample-dev | libavresample-dev,
 libkf5config-dev, libkf5coreaddons-dev, libkf5globalaccel-dev, libkf5guiaddons-dev, libkf5i18n-dev, libkf5kdelibs4support-dev, libkf5kio-dev,
 libkf5textwidgets-dev,  libkf5windowsystem-dev, libkf5xmlgui-dev, libkf5widgetsaddons-dev,
 qtbase5-dev-tools, qtbase5-dev, qtmultimedia5-dev
Standards-Version: 3.8.1
Homepage: http://kradio.sourceforge.net/

Package: kradio5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Comfortable AM/FM/Internet Radio Application for KDE 4.x
 KRadio is a comfortable AM/FM/Internet radio application for KDE 4.x with support 
 for V4L and V4L2 radio cards drivers.
 .
 KRadio currently provides
 .
   * V4L/V4L2 radio support
   * Internet radio streams
   * RDS support
   * PVR support
   * Remote control support (LIRC)
   * Alarms, sleep countdown
   * Several GUI controls (docking menu, station quickbar, radio display)
   * Recording capabilities, including MP3, Ogg/Vorbis, and WAV encoding
   * Timeshifter functionality
   * Extendable plugin architecture
 .
 This package also includes a growing collection of station preset
 files for many cities around the world contributed by KRadio users.
 .
 As KRadio is based on an extendable plugin architecture, contributions
 of new plugins (e.g. new cool GUIs) are welcome.

=== distrib/debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3

opts=versionmangle=s/-/_/g;s/_rc(\d)/.9$1/;s/_beta(\d)/.8$1/;s/^(\d+\.\d+\.\d+)$/$1\.99/,filenamemangle=s/.*filename=(.*)/$1/,downloadurlmangle=s/.*filename=(.*)/http:\/\/dfn.dl.sourceforge.net\/sourceforge\/kradio\/$1/    \
    http://kradio.sourceforge.net/download.html http://sourceforge.net/project/downloading.php\?group_id=45668\&filename=kradio5-(\d.*)\.tar\.gz
